Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedi.ds
Class Method

    java.lang.Object
      |
      +--jedi.ds.Method

All Implemented Interfaces:
  javax.swing.event.DocumentListener, java.util.EventListener, Sorter.Comparable

public class Method
extends java.lang.Object
implements javax.swing.event.DocumentListener, Sorter.Comparable

Field Summary
`static int` | `CONSTRUCTOR`
`static int` | `METHOD`
`static int` | `STATIC_INITIALIZER`

Constructor Summary
`Method(Class parentClass, java.io.BufferedReader in)`
`Method(Class parentClass, java.lang.String methodName, int methodType)`

Method Summary
`void` | `addParameter(java.lang.String p)`
`void` | `appendBodyText(java.lang.String line)`
`void` | `changedUpdate(javax.swing.event.DocumentEvent arg0)`
`void` | `cleanUp()`
`int` | `compareTo(java.lang.Object o)` Compare objects and return a value that indicates their relative order: if (this > other) return > 0 if (this == other) return 0 if (this < other) return < 0
`MethodPrefsFrame` | `editPrefs()`
`boolean` | `export(java.io.PrintWriter out, boolean javadoc)`
`boolean` | `export(java.io.PrintWriter out, java.lang.String prefix, boolean javadoc)`
`JavaDocument` | `getBodyAsJavaDocument()`
`java.lang.String` | `getBodyAsPlainText()`
`java.lang.String` | `getFullName()`
`UndoableDocument` | `getJavaDocAsDocument()`
`java.lang.String` | `getJavaDocAsPlainText()`
`java.lang.String` | `getName()`
`java.lang.String[]` | `getParameters()`
`Class` | `getParent()`
`MethodPrefsFrame` | `getPrefsFrame()`
`java.lang.String` | `getResultType()`
`java.lang.String` | `getSignature()`
`java.lang.String[]` | `getThrows()`
`int` | `getType()`
`void` | `insertUpdate(javax.swing.event.DocumentEvent e)`
`boolean` | `isAbstract()`
`boolean` | `isConstructor()`
`boolean` | `isFinal()`
`boolean` | `isMethod()`
`boolean` | `isNative()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isStatic()`
`boolean` | `isStaticInitializer()`
`boolean` | `isSynchronized()`
`void` | `refreshPrefsFrame()`
`void` | `removeUpdate(javax.swing.event.DocumentEvent e)`
`int` | `saveSource(java.io.PrintWriter out, int line, LineResolver lineResolver, java.lang.String prefix)`
`void` | `setAbstract(boolean b)`
`void` | `setDataFrom(Method m)`
`void` | `setFinal(boolean b)`
`void` | `setJavaDoc(java.lang.String s)`
`void` | `setNative(boolean b)`
`void` | `setParameters(java.lang.String[] s)`
`void` | `setPrivate(boolean b)`
`void` | `setProtected(boolean b)`
`void` | `setPublic(boolean b)`
`void` | `setResultType(java.lang.String s)`
`void` | `setStatic(boolean b)`
`void` | `setSynchronized(boolean b)`
`void` | `setText(java.lang.String s)`
`void` | `setThrows(java.lang.String[] s)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### METHOD

    public static final int METHOD

### CONSTRUCTOR

    public static final int CONSTRUCTOR

### STATIC_INITIALIZER

    public static final int STATIC_INITIALIZER

Constructor Detail

### Method

    public Method(Class parentClass,
                  java.io.BufferedReader in)

### Method

    public Method(Class parentClass,
                  java.lang.String methodName,
                  int methodType)

Method Detail

### addParameter

    public void addParameter(java.lang.String p)

### appendBodyText

    public void appendBodyText(java.lang.String line)

### changedUpdate

    public void changedUpdate(javax.swing.event.DocumentEvent arg0)

  Specified by:
    `changedUpdate` in interface `javax.swing.event.DocumentListener`

### cleanUp

    public void cleanUp()

### compareTo

    public int compareTo(java.lang.Object o)

  Description copied from interface: `Sorter.Comparable`
  Compare objects and return a value that indicates their relative order: if (this > other) return > 0 if (this == other) return 0 if (this < other) return < 0
  Specified by:
    `compareTo` in interface `Sorter.Comparable`

### editPrefs

    public MethodPrefsFrame editPrefs()

### export

    public boolean export(java.io.PrintWriter out,
                          boolean javadoc)

### export

    public boolean export(java.io.PrintWriter out,
                          java.lang.String prefix,
                          boolean javadoc)

### getBodyAsJavaDocument

    public JavaDocument getBodyAsJavaDocument()

### getBodyAsPlainText

    public java.lang.String getBodyAsPlainText()

### getFullName

    public java.lang.String getFullName()

### getJavaDocAsDocument

    public UndoableDocument getJavaDocAsDocument()

### getJavaDocAsPlainText

    public java.lang.String getJavaDocAsPlainText()

### getName

    public java.lang.String getName()

### getParameters

    public java.lang.String[] getParameters()

### getParent

    public Class getParent()

### getPrefsFrame

    public MethodPrefsFrame getPrefsFrame()

### getResultType

    public java.lang.String getResultType()

### getSignature

    public java.lang.String getSignature()

### getThrows

    public java.lang.String[] getThrows()

### getType

    public int getType()

### insertUpdate

    public void insertUpdate(javax.swing.event.DocumentEvent e)

  Specified by:
    `insertUpdate` in interface `javax.swing.event.DocumentListener`

### isAbstract

    public boolean isAbstract()

### isConstructor

    public boolean isConstructor()

### isFinal

    public boolean isFinal()

### isMethod

    public boolean isMethod()

### isNative

    public boolean isNative()

### isPrivate

    public boolean isPrivate()

### isProtected

    public boolean isProtected()

### isPublic

    public boolean isPublic()

### isStatic

    public boolean isStatic()

### isStaticInitializer

    public boolean isStaticInitializer()

### isSynchronized

    public boolean isSynchronized()

### refreshPrefsFrame

    public void refreshPrefsFrame()

### removeUpdate

    public void removeUpdate(javax.swing.event.DocumentEvent e)

  Specified by:
    `removeUpdate` in interface `javax.swing.event.DocumentListener`

### saveSource

    public int saveSource(java.io.PrintWriter out,
                          int line,
                          LineResolver lineResolver,
                          java.lang.String prefix)

### setAbstract

    public void setAbstract(boolean b)

### setDataFrom

    public void setDataFrom(Method m)

### setFinal

    public void setFinal(boolean b)

### setJavaDoc

    public void setJavaDoc(java.lang.String s)

### setNative

    public void setNative(boolean b)

### setParameters

    public void setParameters(java.lang.String[] s)

### setPrivate

    public void setPrivate(boolean b)

### setProtected

    public void setProtected(boolean b)

### setPublic

    public void setPublic(boolean b)

### setResultType

    public void setResultType(java.lang.String s)

### setStatic

    public void setStatic(boolean b)

### setSynchronized

    public void setSynchronized(boolean b)

### setText

    public void setText(java.lang.String s)

### setThrows

    public void setThrows(java.lang.String[] s)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD